| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | Private Attributes | List of all members
IG.Lib.SerializerBase.SerializationTestClass Class Reference

Test class for testing serialization. More...

Inheritance diagram for IG.Lib.SerializerBase.SerializationTestClass:
[legend]
Collaboration diagram for IG.Lib.SerializerBase.SerializationTestClass:
[legend]

## Public Member Functions
| SerializationTestClass ()
| SerializationTestClass (string objectName)
override string | ToString ()
virtual void | InitTestObject (int d1, int d2, int dim3d1, int dim3d2, int dim3d3)
| Initializes the test object. More...

## Static Public Member Functions
static SerializationTestClass | CreateTestObject ()
static SerializationTestClass | CreateTestObject (int d1, int d2, int dim3d1, int dim3d2, int dim3d3)
| Creates an object for testing serialization. More...

## Protected Member Functions
virtual void | InitTestArray3D (int d1, int d2, int d3)
| Initializes the 3D array on test object. More...

## Properties
virtual string | ObjectName`[get, set]`
virtual string | ObjectNameModified`[get, set]`
virtual double | DNum`[get, set]`
virtual bool | BFlag`[get, set]`
virtual SerializationTestArrayMember | SingleElement`[get, set]`
virtual SerializationTestArrayMember[] | Array1D`[get, set]`
virtual SerializationTestArrayMember[][] | JaggedArray2D`[get, set]`
double[][][] | ZArray3D`[get, set]`
| Three dimensional array of doubles. More...
Properties inherited from IG.Lib.SerializerBase.ISerializationTestClass
string | ObjectName`[get, set]`
string | ObjectNameModified`[get, set]`
double | DNum`[get, set]`
SerializationTestArrayMember | SingleElement`[get, set]`
SerializationTestArrayMember[] | Array1D`[get, set]`
SerializationTestArrayMember[][] | JaggedArray2D`[get, set]`

## Private Attributes
string | _objectName
string | _objectNameModified
double | _dnum
bool | _bflag
SerializationTestArrayMember | _singleElement
SerializationTestArrayMember[] | _testArray
SerializationTestArrayMember[][] | _testJaggedArray2d
SerializationTestArrayMember[,] | _rectangularArray2d
double[][][] | _array3D

## Detailed Description

Test class for testing serialization.

$A Igor Jun10;

## Constructor & Destructor Documentation

IG.Lib.SerializerBase.SerializationTestClass.SerializationTestClass | ( |  | ) |
| inline

IG.Lib.SerializerBase.SerializationTestClass.SerializationTestClass | ( | string | objectName | ) |
| inline

## Member Function Documentation

override string IG.Lib.SerializerBase.SerializationTestClass.ToString | ( |  | ) |
| inline

References IG.Lib.SerializerBase.SerializationTestArrayMember.ToString().

virtual void IG.Lib.SerializerBase.SerializationTestClass.InitTestArray3D | ( | int | d1,
|  | int | d2,
|  | int | d3
| ) |  |
| inline protected virtual

Initializes the 3D array on test object.

Parameters

  d1 | First dimension.
  d2 | Second dimension.
  d3 | Third dimension.

virtual void IG.Lib.SerializerBase.SerializationTestClass.InitTestObject | ( | int | d1,
|  | int | d2,
|  | int | dim3d1,
|  | int | dim3d2,
|  | int | dim3d3
| ) |  |
| inline virtual

Initializes the test object.

Parameters

  d1 | First dimension for 2D arrays of objects.
  d2 | Second dimension for 2D arrays of objects.
  dim3d1 | First dimension for 3D plain array.
  dim3d2 | Second dimension for 3D plain arrray.
  dim3d3 | Third dimension for 3D plain array.

Referenced by IG.Lib.SerializerBase.SerializationTestClass.CreateTestObject().

static SerializationTestClass IG.Lib.SerializerBase.SerializationTestClass.CreateTestObject | ( |  | ) |
| inline static

Referenced by IG.Lib.SerializerBase.TestSerializationAll(), and IG.Lib.SerializerBase.TestSerializationJSON().

static SerializationTestClass IG.Lib.SerializerBase.SerializationTestClass.CreateTestObject | ( | int | d1,
|  | int | d2,
|  | int | dim3d1,
|  | int | dim3d2,
|  | int | dim3d3
| ) |  |
| inline static

Creates an object for testing serialization.

Parameters

  d1 | First dimension for 2D arrays of objects.
  d2 | Second dimension for 2D arrays of objects.
  dim3d1 | First dimension for 3D plain array.
  dim3d2 | Second dimension for 3D plain arrray.
  dim3d3 | Third dimension for 3D plain array.

Returns
  Object of class SerializationTestClass that can be used to test serialization.

References IG.Lib.SerializerBase.SerializationTestClass.InitTestObject().

## Member Data Documentation

string IG.Lib.SerializerBase.SerializationTestClass._objectName
| private

string IG.Lib.SerializerBase.SerializationTestClass._objectNameModified
| private

double IG.Lib.SerializerBase.SerializationTestClass._dnum
| private

bool IG.Lib.SerializerBase.SerializationTestClass._bflag
| private

SerializationTestArrayMember IG.Lib.SerializerBase.SerializationTestClass._singleElement
| private

SerializationTestArrayMember [] IG.Lib.SerializerBase.SerializationTestClass._testArray
| private

SerializationTestArrayMember [][] IG.Lib.SerializerBase.SerializationTestClass._testJaggedArray2d
| private

SerializationTestArrayMember [,] IG.Lib.SerializerBase.SerializationTestClass._rectangularArray2d
| private

double [][][] IG.Lib.SerializerBase.SerializationTestClass._array3D
| private

## Property Documentation

virtual string IG.Lib.SerializerBase.SerializationTestClass.ObjectName
| get set

virtual string IG.Lib.SerializerBase.SerializationTestClass.ObjectNameModified
| get set

virtual double IG.Lib.SerializerBase.SerializationTestClass.DNum
| get set

virtual bool IG.Lib.SerializerBase.SerializationTestClass.BFlag
| get set

virtual SerializationTestArrayMember IG.Lib.SerializerBase.SerializationTestClass.SingleElement
| get set

virtual SerializationTestArrayMember [] IG.Lib.SerializerBase.SerializationTestClass.Array1D
| get set

virtual SerializationTestArrayMember [][] IG.Lib.SerializerBase.SerializationTestClass.JaggedArray2D
| get set

double [][][] IG.Lib.SerializerBase.SerializationTestClass.ZArray3D
| get set

Three dimensional array of doubles.

The documentation for this class was generated from the following file:

- igbase/data/serialization/SerializerBase.cs